An API key minted in Command Center (Settings -> API Keys), sent as Authorization: Bearer 2501_ak_.... A Command Center session cookie is also accepted.
{"docsConfig":{"theme":"mint","$schema":"https://mintlify.com/docs.json","name":"2501.ai","colors":{"primary":"#121212","light":"#FAFAFA","dark":"#121212"},"logo":{"light":"https://mintcdn.com/2501/gMl_w8qww9Zl47hO/logo/light.png?fit=max\u0026auto=format\u0026n=gMl_w8qww9Zl47hO\u0026q=85\u0026s=eeeb37b3ca386a00dde53b3e6235adce","dark":"https://mintcdn.com/2501/gMl_w8qww9Zl47hO/logo/dark.png?fit=max\u0026auto=format\u0026n=gMl_w8qww9Zl47hO\u0026q=85\u0026s=4d0ac2514d479eb43fe361193d12c495","href":"/0.7/getting-started/welcome"},"favicon":"https://mintcdn.com/2501/gMl_w8qww9Zl47hO/favicon.png?fit=max\u0026auto=format\u0026n=gMl_w8qww9Zl47hO\u0026q=85\u0026s=884be98d09b5672f470de49ac6430f22","appearance":{"default":"light"},"background":{"color":{"light":"#FAFAFA","dark":"#121212"}},"navbar":{"links":[{"href":"mailto:hello@2501.ai","label":"Contact"},{"href":"https://github.com/2501-ai","label":"Github"},{"href":"https://2501.ai/","label":"Website"}]},"footer":{"socials":{"website":"https://www.2501.ai/","github":"https://github.com/2501-ai","linkedin":"https://www.linkedin.com/company/99099126"}},"styling":{"latex":false},"navigation":{"pages":[]}},"deployment":{"deploymentMetadataValue":{"subdomain":"2501","hasAudioNarration":false,"actualSubdomain":"2501","customDomains":["docs.2501.ai"],"gitSource":{"type":"github","owner":"2501-ai","repo":"2501","deployBranch":"main","contentDirectory":"apps/public-docs","isPrivate":true,"mountPath":"","label":""},"chroma":{"liveDeploymentHistoryId":"6ae06382dc8e261a8bb5a8cf","collectionId":"1211b02f-18ff-4e53-923a-18bdb4bcf20b","schemaVersion":"v3","latestBuiltDeploymentHistoryId":"6ae06382dc8e261a8bb5a8cf"},"entitlements":{},"buildId":"6ae0ecdb4edb7c9bfb43e653","clientVersion":"0.0.3990","searchFilterCounts":[{"language":"default","tag":"Reference","count":843},{"language":"default","tag":"API","count":405},{"language":"default","tag":"Configure","count":286},{"language":"default","tag":"Guides","count":180},{"language":"default","tag":"Docs","count":173},{"language":"default","tag":"Benchmark","count":165},{"language":"default","tag":"Integration","count":117},{"language":"default","tag":"Deploy","count":112},{"language":"default","tag":"Agents","count":104},{"language":"default","tag":"Concepts","count":101}]},"assistantConfig":{},"basePath":"","hasChatPermissions":false,"hasWebMcpPermissions":false,"toggles":[],"isAtlas":false,"googleFontsInlined":false},"customCss":[],"page":{"pagePath":"0.14/api-reference/agents/create-an-agent","slug":"/0.14/api-reference/agents/create-an-agent","pageMetadata":{"title":"Create an agent","description":null,"deprecated":null,"version":null,"openapi":"/0.14/openapi.json post /api/v1/agents","href":"/0.14/api-reference/agents/create-an-agent","autogeneratedByOpenApi":true},"pageType":"default","mdx":{"mdxSource":{"compiledSource":"\"use strict\";const{Fragment:_Fragment,jsx:_jsx}=arguments[0];const{useMDXComponents:_provideComponents}=arguments[0];function _createMdxContent(props){return _jsx(_Fragment,{})}function MDXContent(props={}){const{wrapper:MDXLayout}={..._provideComponents(),...props.components};return MDXLayout?_jsx(MDXLayout,{...props,children:_jsx(_createMdxContent,{...props})}):_createMdxContent(props)}return{default:MDXContent}","frontmatter":{},"scope":{"config":{},"pageMetadata":{"title":"Create an agent","description":null,"deprecated":null,"version":null,"openapi":"/0.14/openapi.json post /api/v1/agents","href":"/0.14/api-reference/agents/create-an-agent","autogeneratedByOpenApi":true}}},"mdxSourceWithNoJs":null},"mdxExtracts":{"tableOfContents":[],"codeExamples":{}},"jsLinks":[],"openApiReferenceData":{"operation":{"tags":["Agents"],"summary":"Create an agent","requestBody":"8364fec8-ea74-4075-b3cd-d8430e710be4","responses":{"200":"1502eb0f-ba08-4f05-b913-98d3aba0fe13","400":"f4995665-1b82-4c5e-93a9-f6ac0418a43d","401":"2a45896b-e7ae-4aa2-b754-b75af51f3f40","403":"47852639-6ea4-4ecf-a70e-8c790993a0c2","404":"50721316-8e86-4491-9ecb-60af8797e82f"},"method":"post","type":"path","servers":["53fa3b59-329f-46e9-a315-468770b894ed"],"security":["a6204cec-a94b-49b7-bd5a-36f4742263c5"],"path":"/api/v1/agents","baseUrlOptions":["https://{command_center_host}"],"title":"Create an agent","description":"","codeSamples":[],"requiredOnlyExamples":false,"requestExampleType":"generated","responseExampleType":"generated"},"dependencies":{"parameters":{},"requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"object","properties":{"org_id":{"type":"string","isRequired":true,"uniqueKey":"org_id","typeLabel":"string"},"main_engine":{"type":"string","minLength":1,"isRequired":true,"uniqueKey":"main_engine","typeLabel":"string"},"secondary_engine":{"type":"string","minLength":1,"isRequired":true,"uniqueKey":"secondary_engine","typeLabel":"string"},"specialty_id":{"type":"string","isRequired":true,"uniqueKey":"specialty_id","typeLabel":"string"},"host_id":{"type":"string","isRequired":true,"uniqueKey":"host_id","typeLabel":"string"},"name":{"type":"string","minLength":1,"maxLength":100,"uniqueKey":"name","typeLabel":"string"},"remote_execution":{"type":"boolean","default":true,"uniqueKey":"remote_execution","typeLabel":"boolean"},"credential_config":{"type":"array","items":{"type":"object","properties":{"order":{"type":"integer","minimum":1,"isRequired":true,"uniqueKey":"credential_config.items.[INDEX].order","typeLabel":"integer"},"credential_id":{"type":"string","isRequired":true,"uniqueKey":"credential_config.items.[INDEX].credential_id","typeLabel":"string"},"credential_role":{"type":"string","enum":["ssh_username","ssh_password","ssh_private_key","ssh_public_key"],"isRequired":true,"uniqueKey":"credential_config.items.[INDEX].credential_role","typeLabel":"enum\u003cstring>"},"is_required":{"type":"boolean","default":true,"uniqueKey":"credential_config.items.[INDEX].is_required","typeLabel":"boolean"}},"required":["order","credential_id","credential_role"],"uniqueKey":"credential_config.items.[INDEX]","typeLabel":"object"},"default":[],"uniqueKey":"credential_config","typeLabel":"object[]"},"plugin_ids":{"type":"array","items":{"type":"string","uniqueKey":"plugin_ids.items.[INDEX]","typeLabel":"string"},"default":[],"uniqueKey":"plugin_ids","typeLabel":"string[]"},"accessible_credential_ids":{"type":"array","items":{"type":"string","uniqueKey":"accessible_credential_ids.items.[INDEX]","typeLabel":"string"},"default":[],"uniqueKey":"accessible_credential_ids","typeLabel":"string[]"}},"required":["org_id","main_engine","secondary_engine","specialty_id","host_id"],"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"org_id":"\u003cstring>","main_engine":"\u003cstring>","secondary_engine":"\u003cstring>","specialty_id":"\u003cstring>","host_id":"\u003cstring>","name":"\u003cstring>","remote_execution":true,"credential_config":[],"plugin_ids":[],"accessible_credential_ids":[]}}},"exampleType":"generated"}},"exampleType":"generated"},"responses":{"1502eb0f-ba08-4f05-b913-98d3aba0fe13":{"description":"The created agent","content":{"application/json":{"schema":{"type":"object","properties":{"id":{"type":"string","example":"agt_a9bf5a2b-...","isRequired":true,"uniqueKey":"id","typeLabel":"string"},"name":{"type":"string","example":"linux-ops - web-01","isRequired":true,"uniqueKey":"name","typeLabel":"string"},"status":{"type":"string","enum":["idle","running","error","archived"],"isRequired":true,"uniqueKey":"status","typeLabel":"enum\u003cstring>"},"org_id":{"type":"string","example":"org_460b541c-...","isRequired":true,"uniqueKey":"org_id","typeLabel":"string"},"tenant_id":{"type":"string","example":"ten_115bea44-...","isRequired":true,"uniqueKey":"tenant_id","typeLabel":"string"},"host_id":{"oneOf":[{"type":"string","example":"hst_8272f9b4-...","isRequired":true,"uniqueKey":"host_id.oneOf.0","typeLabel":"string"},{"type":"null","example":"hst_8272f9b4-...","isRequired":true,"uniqueKey":"host_id.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"host_id","typeLabel":"string | null"},"specialty_id":{"type":"string","example":"spc_9e274f8c-...","isRequired":true,"uniqueKey":"specialty_id","typeLabel":"string"},"main_engine":{"type":"string","example":"qwen3-coder-480b","isRequired":true,"uniqueKey":"main_engine","typeLabel":"string"},"secondary_engine":{"type":"string","example":"qwen3-coder-30b","isRequired":true,"uniqueKey":"secondary_engine","typeLabel":"string"},"remote_execution":{"type":"boolean","isRequired":true,"uniqueKey":"remote_execution","typeLabel":"boolean"},"credential_config":{"oneOf":[{"type":"array","items":{"type":"object","properties":{"credential_id":{"type":"string","example":"crd_1f3c8a90-...","isRequired":true,"uniqueKey":"credential_config.oneOf.0.items.[INDEX].credential_id","typeLabel":"string"},"credential_role":{"type":"string","enum":["ssh_username","ssh_password","ssh_private_key","ssh_public_key"],"isRequired":true,"uniqueKey":"credential_config.oneOf.0.items.[INDEX].credential_role","typeLabel":"enum\u003cstring>"},"order":{"type":"integer","isRequired":true,"uniqueKey":"credential_config.oneOf.0.items.[INDEX].order","typeLabel":"integer"},"is_required":{"type":"boolean","isRequired":true,"uniqueKey":"credential_config.oneOf.0.items.[INDEX].is_required","typeLabel":"boolean"}},"required":["credential_id","credential_role","order","is_required"],"uniqueKey":"credential_config.oneOf.0.items.[INDEX]","typeLabel":"object"},"isRequired":true,"uniqueKey":"credential_config.oneOf.0","typeLabel":"object[]"},{"type":"null","items":{"type":"object","properties":{"credential_id":{"type":"string","example":"crd_1f3c8a90-..."},"credential_role":{"type":"string","enum":["ssh_username","ssh_password","ssh_private_key","ssh_public_key"]},"order":{"type":"integer"},"is_required":{"type":"boolean"}},"required":["credential_id","credential_role","order","is_required"]},"isRequired":true,"uniqueKey":"credential_config.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"credential_config","typeLabel":"object[] | null"},"disabled_rule_ids":{"type":"array","items":{"type":"string","uniqueKey":"disabled_rule_ids.items.[INDEX]","typeLabel":"string"},"isRequired":true,"uniqueKey":"disabled_rule_ids","typeLabel":"string[]"},"accessible_credential_ids":{"type":"array","items":{"type":"string","uniqueKey":"accessible_credential_ids.items.[INDEX]","typeLabel":"string"},"isRequired":true,"uniqueKey":"accessible_credential_ids","typeLabel":"string[]"},"created_at":{"type":"string","format":"date-time","example":"2026-08-26T10:00:26.380Z","isRequired":true,"uniqueKey":"created_at","typeLabel":"string\u003cdate-time>"},"updated_at":{"type":"string","format":"date-time","example":"2026-08-26T10:00:26.380Z","isRequired":true,"uniqueKey":"updated_at","typeLabel":"string\u003cdate-time>"}},"required":["id","name","status","org_id","tenant_id","host_id","specialty_id","main_engine","secondary_engine","remote_execution","credential_config","disabled_rule_ids","accessible_credential_ids","created_at","updated_at"],"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"id":"agt_a9bf5a2b-...","name":"linux-ops - web-01","status":"idle","org_id":"org_460b541c-...","tenant_id":"ten_115bea44-...","host_id":"hst_8272f9b4-...","specialty_id":"spc_9e274f8c-...","main_engine":"qwen3-coder-480b","secondary_engine":"qwen3-coder-30b","remote_execution":true,"credential_config":[{"credential_id":"crd_1f3c8a90-...","credential_role":"ssh_username","order":123,"is_required":true}],"disabled_rule_ids":["\u003cstring>"],"accessible_credential_ids":["\u003cstring>"],"created_at":"2026-08-26T10:00:26.380Z","updated_at":"2026-08-26T10:00:26.380Z"}}},"exampleType":"generated"}},"exampleType":"generated"},"f4995665-1b82-4c5e-93a9-f6ac0418a43d":{"description":"Bad request - a field is missing, malformed, or not allowed (VALIDATION_FAILED, BAD_REQUEST, INVALID_CURSOR)","content":{"application/json":{"schema":{"type":"object","properties":{"code":{"type":"string","example":"VALIDATION_FAILED","isRequired":true,"uniqueKey":"code","typeLabel":"string"},"message":{"type":"string","example":"Validation failed","isRequired":true,"uniqueKey":"message","typeLabel":"string"},"request_id":{"type":"string","example":"req_3702b7e7-...","isRequired":true,"uniqueKey":"request_id","typeLabel":"string"},"field":{"type":"string","description":"Set when one input is at fault","uniqueKey":"field","typeLabel":"string"},"errors":{"type":"array","items":{"type":"object","properties":{"field":{"type":"string","isRequired":true,"uniqueKey":"errors.items.[INDEX].field","typeLabel":"string"},"message":{"type":"string","isRequired":true,"uniqueKey":"errors.items.[INDEX].message","typeLabel":"string"}},"required":["field","message"],"uniqueKey":"errors.items.[INDEX]","typeLabel":"object"},"description":"Set when several inputs are at fault","uniqueKey":"errors","typeLabel":"object[]"},"details":{"type":"object","additionalProperties":{"oneOf":[{},{"type":"null","uniqueKey":"details.additionalProperties.oneOf.1","typeLabel":"null"}],"uniqueKey":"details.additionalProperties","typeLabel":"null"},"uniqueKey":"details","typeLabel":"object"}},"required":["code","message","request_id"],"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"code":"VALIDATION_FAILED","message":"Validation failed","request_id":"req_3702b7e7-...","field":"\u003cstring>","errors":[{"field":"\u003cstring>","message":"\u003cstring>"}],"details":{}}}},"exampleType":"generated"}},"exampleType":"generated"},"2a45896b-e7ae-4aa2-b754-b75af51f3f40":{"description":"No credentials, or a key that is invalid, revoked, or expired (UNAUTHORIZED)","content":{"application/json":{"schema":{"type":"object","properties":{"code":{"type":"string","example":"VALIDATION_FAILED","isRequired":true,"uniqueKey":"code","typeLabel":"string"},"message":{"type":"string","example":"Validation failed","isRequired":true,"uniqueKey":"message","typeLabel":"string"},"request_id":{"type":"string","example":"req_3702b7e7-...","isRequired":true,"uniqueKey":"request_id","typeLabel":"string"},"field":{"type":"string","description":"Set when one input is at fault","uniqueKey":"field","typeLabel":"string"},"errors":{"type":"array","items":{"type":"object","properties":{"field":{"type":"string","isRequired":true,"uniqueKey":"errors.items.[INDEX].field","typeLabel":"string"},"message":{"type":"string","isRequired":true,"uniqueKey":"errors.items.[INDEX].message","typeLabel":"string"}},"required":["field","message"],"uniqueKey":"errors.items.[INDEX]","typeLabel":"object"},"description":"Set when several inputs are at fault","uniqueKey":"errors","typeLabel":"object[]"},"details":{"type":"object","additionalProperties":{"oneOf":[{},{"type":"null","uniqueKey":"details.additionalProperties.oneOf.1","typeLabel":"null"}],"uniqueKey":"details.additionalProperties","typeLabel":"null"},"uniqueKey":"details","typeLabel":"object"}},"required":["code","message","request_id"],"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"code":"VALIDATION_FAILED","message":"Validation failed","request_id":"req_3702b7e7-...","field":"\u003cstring>","errors":[{"field":"\u003cstring>","message":"\u003cstring>"}],"details":{}}}},"exampleType":"generated"}},"exampleType":"generated"},"47852639-6ea4-4ecf-a70e-8c790993a0c2":{"description":"Authenticated but not allowed (FORBIDDEN, ORG_ACCESS_DENIED, STEP_UP_REFUSED, TWO_FACTOR_ENROLLMENT_REQUIRED, LICENSE_CAP_REACHED, LICENSE_EXPIRED)","content":{"application/json":{"schema":{"type":"object","properties":{"code":{"type":"string","example":"VALIDATION_FAILED","isRequired":true,"uniqueKey":"code","typeLabel":"string"},"message":{"type":"string","example":"Validation failed","isRequired":true,"uniqueKey":"message","typeLabel":"string"},"request_id":{"type":"string","example":"req_3702b7e7-...","isRequired":true,"uniqueKey":"request_id","typeLabel":"string"},"field":{"type":"string","description":"Set when one input is at fault","uniqueKey":"field","typeLabel":"string"},"errors":{"type":"array","items":{"type":"object","properties":{"field":{"type":"string","isRequired":true,"uniqueKey":"errors.items.[INDEX].field","typeLabel":"string"},"message":{"type":"string","isRequired":true,"uniqueKey":"errors.items.[INDEX].message","typeLabel":"string"}},"required":["field","message"],"uniqueKey":"errors.items.[INDEX]","typeLabel":"object"},"description":"Set when several inputs are at fault","uniqueKey":"errors","typeLabel":"object[]"},"details":{"type":"object","additionalProperties":{"oneOf":[{},{"type":"null","uniqueKey":"details.additionalProperties.oneOf.1","typeLabel":"null"}],"uniqueKey":"details.additionalProperties","typeLabel":"null"},"uniqueKey":"details","typeLabel":"object"}},"required":["code","message","request_id"],"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"code":"VALIDATION_FAILED","message":"Validation failed","request_id":"req_3702b7e7-...","field":"\u003cstring>","errors":[{"field":"\u003cstring>","message":"\u003cstring>"}],"details":{}}}},"exampleType":"generated"}},"exampleType":"generated"},"50721316-8e86-4491-9ecb-60af8797e82f":{"description":"No such row that this caller can see (NOT_FOUND)","content":{"application/json":{"schema":{"type":"object","properties":{"code":{"type":"string","example":"VALIDATION_FAILED","isRequired":true,"uniqueKey":"code","typeLabel":"string"},"message":{"type":"string","example":"Validation failed","isRequired":true,"uniqueKey":"message","typeLabel":"string"},"request_id":{"type":"string","example":"req_3702b7e7-...","isRequired":true,"uniqueKey":"request_id","typeLabel":"string"},"field":{"type":"string","description":"Set when one input is at fault","uniqueKey":"field","typeLabel":"string"},"errors":{"type":"array","items":{"type":"object","properties":{"field":{"type":"string","isRequired":true,"uniqueKey":"errors.items.[INDEX].field","typeLabel":"string"},"message":{"type":"string","isRequired":true,"uniqueKey":"errors.items.[INDEX].message","typeLabel":"string"}},"required":["field","message"],"uniqueKey":"errors.items.[INDEX]","typeLabel":"object"},"description":"Set when several inputs are at fault","uniqueKey":"errors","typeLabel":"object[]"},"details":{"type":"object","additionalProperties":{"oneOf":[{},{"type":"null","uniqueKey":"details.additionalProperties.oneOf.1","typeLabel":"null"}],"uniqueKey":"details.additionalProperties","typeLabel":"null"},"uniqueKey":"details","typeLabel":"object"}},"required":["code","message","request_id"],"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"code":"VALIDATION_FAILED","message":"Validation failed","request_id":"req_3702b7e7-...","field":"\u003cstring>","errors":[{"field":"\u003cstring>","message":"\u003cstring>"}],"details":{}}}},"exampleType":"generated"}},"exampleType":"generated"}},"security":{"a6204cec-a94b-49b7-bd5a-36f4742263c5":{"bearerAuth":{"type":"http","scheme":"bearer","description":"An API key minted in Command Center (Settings -> API Keys), sent as `Authorization: Bearer 2501_ak_...`. A Command Center session cookie is also accepted.","scopes":[]}}},"servers":{"53fa3b59-329f-46e9-a315-468770b894ed":{"url":"https://{command_center_host}","variables":{"command_center_host":{"default":"your-command-center-host","description":"Your Command Center host"}}}},"processedSecurityOptions":[{"schemes":[{"scheme":{"type":"http","scheme":"bearer","description":"An API key minted in Command Center (Settings -> API Keys), sent as `Authorization: Bearer 2501_ak_...`. A Command Center session cookie is also accepted.","scopes":[]},"schema":{"title":"Bearer Auth","type":"string","isRequired":true,"description":"An API key minted in Command Center (Settings -> API Keys), sent as `Authorization: Bearer 2501_ak_...`. A Command Center session cookie is also accepted.","format":"bearer","typeLabel":"string\u003cbearer>","deprecated":false},"schemeName":"bearerAuth","name":"Authorization"}],"title":"bearerAuth"}]},"originalFileLocation":"0.14/openapi.json"},"subdomain":"2501","siteName":"2501.ai","title":"Create an agent - 2501.ai","navMaps":{"firstHrefInVersion":{"0.18":{"href":"/0.18/api-reference/agents/create-an-agent","matchLevel":1},"0.17":{"href":"/0.17/api-reference/agents/create-an-agent","matchLevel":1},"0.16":{"href":"/0.16/api-reference/agents/create-an-agent","matchLevel":1},"0.15":{"href":"/0.15/api-reference/agents/create-an-agent","matchLevel":1},"0.14":{"href":"/0.14/api-reference/agents/create-an-agent","matchLevel":0},"0.13":{"href":"/0.13/api-reference/agents/create-an-agent","matchLevel":1},"0.12":{"href":"/0.12/api-reference/agents/create-an-agent","matchLevel":1},"0.11":{"href":"/0.11/getting-started/welcome","matchLevel":4},"0.10":{"href":"/0.10/getting-started/welcome","matchLevel":4},"0.9":{"href":"/0.9/getting-started/welcome","matchLevel":4},"0.8":{"href":"/0.8/getting-started/welcome","matchLevel":4},"0.7":{"href":"/0.7/getting-started/welcome","matchLevel":4},"0.4":{"href":"/0.4/command-center","matchLevel":4},"0.3.0":{"href":"/0.3.0/command-center","matchLevel":4},"0.2.6":{"href":"/0.2.6/command-center","matchLevel":4}},"firstHrefInLanguage":{}},"lastModified":"2026-10-27T18:26:52.249Z","originalFileLocation":"0.14/api-reference/agents/create-an-agent.mdx"},"headHtml":"\u003cscript data-mint-head>(function(){var d=document.documentElement,p=null;if(!p){try{p=localStorage.getItem(\"isDarkMode\")}catch(e){}if(p==='true')p='dark';else if(p==='false')p='light';if(p!=='light'\u0026\u0026p!=='dark'\u0026\u0026p!=='system')p=\"light\"}var r=p==='system'?(matchMedia(\"(prefers-color-scheme: dark)\").matches?'dark':'light'):p;d.classList.remove(r==='dark'?'light':'dark');d.classList.add(r);d.setAttribute(\"data-theme-preference\",p)})();\u003c/script>\u003cmeta data-mint-head name=\"application-name\" content=\"2501.ai\">\u003cmeta data-mint-head name=\"generator\" content=\"Mintlify\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/2501/ur2ley-wQyHAsGwc/_generated/favicon/android-chrome-192x192.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"apple-touch-icon\" type=\"image/png\" sizes=\"180x180\" href=\"/mintlify-assets/_mintlify/favicons/2501/ur2ley-wQyHAsGwc/_generated/favicon/apple-touch-icon.png\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/2501/ur2ley-wQyHAsGwc/_generated/favicon/favicon-16x16.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/2501/ur2ley-wQyHAsGwc/_generated/favicon/favicon-32x32.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/2501/ur2ley-wQyHAsGwc/_generated/favicon/favicon.ico\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/2501/ur2ley-wQyHAsGwc/_generated/favicon-dark/android-chrome-192x192.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/2501/ur2ley-wQyHAsGwc/_generated/favicon-dark/favicon-16x16.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/2501/ur2ley-wQyHAsGwc/_generated/favicon-dark/favicon-32x32.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/2501/ur2ley-wQyHAsGwc/_generated/favicon-dark/favicon.ico\" media=\"(prefers-color-scheme: dark)\">\u003cmeta data-mint-head property=\"og:title\" content=\"Create an agent - 2501.ai\">\u003cmeta data-mint-head property=\"og:site_name\" content=\"2501.ai\">\u003cmeta data-mint-head property=\"og:url\" content=\"https://docs.2501.ai/0.14/api-reference/agents/create-an-agent\">\u003cmeta data-mint-head property=\"og:type\" content=\"website\">\u003cmeta data-mint-head property=\"og:image\" content=\"https://2501.mintlify.app/_mintlify/api/og/v2?division=Agents\u0026amp;title=Create+an+agent\u0026amp;theme=f33d4ade6ddd98c4a45fdcd4\u0026amp;signature=6894d4e588f52a2b77c7ffbb2b9e94e7fea6ca67b534dd6b3b8c9124244eb585\">\u003cmeta data-mint-head property=\"og:image:width\" content=\"1200\">\u003cmeta data-mint-head property=\"og:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"twitter:card\" content=\"summary_large_image\">\u003cmeta data-mint-head name=\"twitter:title\" content=\"Create an agent - 2501.ai\">\u003cmeta data-mint-head name=\"twitter:image\" content=\"https://2501.mintlify.app/_mintlify/api/og/v2?division=Agents\u0026amp;title=Create+an+agent\u0026amp;theme=f33d4ade6ddd98c4a45fdcd4\u0026amp;signature=6894d4e588f52a2b77c7ffbb2b9e94e7fea6ca67b534dd6b3b8c9124244eb585\">\u003cmeta data-mint-head name=\"twitter:image:width\" content=\"1200\">\u003cmeta data-mint-head name=\"twitter:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"msapplication-config\" content=\"/mintlify-assets/_mintlify/favicons/2501/ur2ley-wQyHAsGwc/_generated/favicon/browserconfig.xml\">\u003cmeta data-mint-head name=\"apple-mobile-web-app-title\" content=\"2501.ai\">\u003cmeta data-mint-head name=\"msapplication-TileColor\" content=\"#121212\">\u003clink data-mint-head rel=\"canonical\" href=\"https://docs.2501.ai/0.14/api-reference/agents/create-an-agent\">\u003clink data-mint-head rel=\"alternate\" type=\"application/xml\" href=\"/sitemap.xml\">\u003clink data-mint-head rel=\"alternate\" type=\"text/markdown\" href=\"/0.14/api-reference/agents/create-an-agent.md\">\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@graph\":[{\"@type\":\"Organization\",\"@id\":\"https://docs.2501.ai/#organization\",\"name\":\"2501.ai\",\"url\":\"https://docs.2501.ai\",\"logo\":{\"@type\":\"ImageObject\",\"url\":\"https://mintcdn.com/2501/gMl_w8qww9Zl47hO/logo/light.png?fit=max\u0026auto=format\u0026n=gMl_w8qww9Zl47hO\u0026q=85\u0026s=eeeb37b3ca386a00dde53b3e6235adce\"}},{\"@type\":\"WebSite\",\"@id\":\"https://docs.2501.ai#website\",\"name\":\"2501.ai\",\"url\":\"https://docs.2501.ai\",\"publisher\":{\"@id\":\"https://docs.2501.ai/#organization\"}},{\"@type\":\"WebPage\",\"@id\":\"https://docs.2501.ai/0.14/api-reference/agents/create-an-agent#webpage\",\"url\":\"https://docs.2501.ai/0.14/api-reference/agents/create-an-agent\",\"name\":\"Create an agent\",\"dateModified\":\"2026-10-27T18:26:52.249Z\",\"isPartOf\":{\"@id\":\"https://docs.2501.ai#website\"},\"breadcrumb\":{\"@id\":\"https://docs.2501.ai/0.14/api-reference/agents/create-an-agent#breadcrumb\"}},{\"@type\":\"BreadcrumbList\",\"@id\":\"https://docs.2501.ai/0.14/api-reference/agents/create-an-agent#breadcrumb\",\"itemListElement\":[{\"@type\":\"ListItem\",\"position\":1,\"name\":\"API\",\"item\":\"https://docs.2501.ai/0.14/api/overview\"},{\"@type\":\"ListItem\",\"position\":2,\"name\":\"Agents\",\"item\":\"https://docs.2501.ai/0.14/api-reference/agents/list-agents\"},{\"@type\":\"ListItem\",\"position\":3,\"name\":\"Create an agent\",\"item\":\"https://docs.2501.ai/0.14/api-reference/agents/create-an-agent\"}]},{\"@type\":[\"TechArticle\",\"APIReference\"],\"@id\":\"https://docs.2501.ai/0.14/api-reference/agents/create-an-agent#apireference\",\"headline\":\"Create an agent\",\"name\":\"Create an agent\",\"url\":\"https://docs.2501.ai/0.14/api-reference/agents/create-an-agent\",\"mainEntityOfPage\":{\"@id\":\"https://docs.2501.ai/0.14/api-reference/agents/create-an-agent#webpage\"},\"dateModified\":\"2026-10-27T18:26:52.249Z\",\"publisher\":{\"@id\":\"https://docs.2501.ai/#organization\"},\"isPartOf\":{\"@id\":\"https://docs.2501.ai#website\"}}]}\u003c/script>\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@type\":\"WebSite\",\"name\":\"2501.ai\",\"creator\":{\"@type\":\"Organization\",\"name\":\"Mintlify\",\"url\":\"https://mintlify.com\"}}\u003c/script>","siteName":"2501.ai","nav":{"global":null,"versions":[{"version":"0.18","pages":[{"title":"0.18","href":"/0.18/api-reference/agents/create-an-agent"}]},{"version":"0.17","pages":[{"title":"0.17","href":"/0.17/api-reference/agents/create-an-agent"}]},{"version":"0.16","pages":[{"title":"0.16","href":"/0.16/api-reference/agents/create-an-agent"}]},{"version":"0.15","pages":[{"title":"0.15","href":"/0.15/api-reference/agents/create-an-agent"}]},{"version":"0.14","tabs":[{"tab":"Docs","pages":[{"title":"Docs","href":"/0.14/getting-started/welcome"}]},{"tab":"Reference","groups":[{"group":"API","pages":[{"title":"API Overview","href":"/0.14/api/overview"},{"group":"Specialties","pages":[{"title":"List specialties","deprecated":null,"version":null,"openapi":"/0.14/openapi.json get /api/v1/specialties","href":"/0.14/api-reference/specialties/list-specialties"},{"title":"Create a specialty","deprecated":null,"version":null,"openapi":"/0.14/openapi.json post /api/v1/specialties","href":"/0.14/api-reference/specialties/create-a-specialty"},{"title":"Search specialties","deprecated":null,"version":null,"openapi":"/0.14/openapi.json get /api/v1/specialties/search","href":"/0.14/api-reference/specialties/search-specialties"},{"title":"Get a specialty","deprecated":null,"version":null,"openapi":"/0.14/openapi.json get /api/v1/specialties/{id}","href":"/0.14/api-reference/specialties/get-a-specialty"},{"title":"Update a specialty","deprecated":null,"version":null,"openapi":"/0.14/openapi.json post /api/v1/specialties/{id}","href":"/0.14/api-reference/specialties/update-a-specialty"},{"title":"Delete a specialty","deprecated":null,"version":null,"openapi":"/0.14/openapi.json delete /api/v1/specialties/{id}","href":"/0.14/api-reference/specialties/delete-a-specialty"},{"title":"Count what references a specialty","deprecated":null,"version":null,"openapi":"/0.14/openapi.json get /api/v1/specialties/{id}/references","href":"/0.14/api-reference/specialties/count-what-references-a-specialty"}]},{"group":"Blacklists","pages":[{"title":"List blacklisted commands","deprecated":null,"version":null,"openapi":"/0.14/openapi.json get /api/v1/blacklists","href":"/0.14/api-reference/blacklists/list-blacklisted-commands"},{"title":"Create a blacklisted command","deprecated":null,"version":null,"openapi":"/0.14/openapi.json post /api/v1/blacklists","href":"/0.14/api-reference/blacklists/create-a-blacklisted-command"},{"title":"Search blacklisted commands","deprecated":null,"version":null,"openapi":"/0.14/openapi.json get /api/v1/blacklists/search","href":"/0.14/api-reference/blacklists/search-blacklisted-commands"},{"title":"Get a blacklisted command","deprecated":null,"version":null,"openapi":"/0.14/openapi.json get /api/v1/blacklists/{id}","href":"/0.14/api-reference/blacklists/get-a-blacklisted-command"},{"title":"Update a blacklisted command","deprecated":null,"version":null,"openapi":"/0.14/openapi.json post /api/v1/blacklists/{id}","href":"/0.14/api-reference/blacklists/update-a-blacklisted-command"},{"title":"Delete a blacklisted command","deprecated":null,"version":null,"openapi":"/0.14/openapi.json delete /api/v1/blacklists/{id}","href":"/0.14/api-reference/blacklists/delete-a-blacklisted-command"}]},{"group":"Gateways","pages":[{"title":"List gateways","deprecated":null,"version":null,"openapi":"/0.14/openapi.json get /api/v1/gateways","href":"/0.14/api-reference/gateways/list-gateways"},{"title":"Create a gateway","deprecated":null,"version":null,"openapi":"/0.14/openapi.json post /api/v1/gateways","href":"/0.14/api-reference/gateways/create-a-gateway"},{"title":"Search gateways","deprecated":null,"version":null,"openapi":"/0.14/openapi.json get /api/v1/gateways/search","href":"/0.14/api-reference/gateways/search-gateways"},{"title":"Get a gateway","deprecated":null,"version":null,"openapi":"/0.14/openapi.json get /api/v1/gateways/{id}","href":"/0.14/api-reference/gateways/get-a-gateway"},{"title":"Update a gateway","deprecated":null,"version":null,"openapi":"/0.14/openapi.json post /api/v1/gateways/{id}","href":"/0.14/api-reference/gateways/update-a-gateway"},{"title":"Delete a gateway","deprecated":null,"version":null,"openapi":"/0.14/openapi.json delete /api/v1/gateways/{id}","href":"/0.14/api-reference/gateways/delete-a-gateway"},{"title":"Count what references a gateway","deprecated":null,"version":null,"openapi":"/0.14/openapi.json get /api/v1/gateways/{id}/references","href":"/0.14/api-reference/gateways/count-what-references-a-gateway"}]},{"group":"Hosts","pages":[{"title":"List hosts","deprecated":null,"version":null,"openapi":"/0.14/openapi.json get /api/v1/hosts","href":"/0.14/api-reference/hosts/list-hosts"},{"title":"Create a host","deprecated":null,"version":null,"openapi":"/0.14/openapi.json post /api/v1/hosts","href":"/0.14/api-reference/hosts/create-a-host"},{"title":"Search hosts","deprecated":null,"version":null,"openapi":"/0.14/openapi.json get /api/v1/hosts/search","href":"/0.14/api-reference/hosts/search-hosts"},{"title":"Bulk import hosts","deprecated":null,"version":null,"openapi":"/0.14/openapi.json post /api/v1/hosts/batch","href":"/0.14/api-reference/hosts/bulk-import-hosts"},{"title":"Bulk export hosts","deprecated":null,"version":null,"openapi":"/0.14/openapi.json get /api/v1/hosts/export","href":"/0.14/api-reference/hosts/bulk-export-hosts"},{"title":"Get a host","deprecated":null,"version":null,"openapi":"/0.14/openapi.json get /api/v1/hosts/{id}","href":"/0.14/api-reference/hosts/get-a-host"},{"title":"Update a host","deprecated":null,"version":null,"openapi":"/0.14/openapi.json post /api/v1/hosts/{id}","href":"/0.14/api-reference/hosts/update-a-host"},{"title":"Delete a host","deprecated":null,"version":null,"openapi":"/0.14/openapi.json delete /api/v1/hosts/{id}","href":"/0.14/api-reference/hosts/delete-a-host"},{"title":"List a host agents","deprecated":null,"version":null,"openapi":"/0.14/openapi.json get /api/v1/hosts/{id}/agents","href":"/0.14/api-reference/hosts/list-a-host-agents"}]},{"group":"Agents","pages":[{"title":"List agents","description":null,"deprecated":null,"version":null,"openapi":"/0.14/openapi.json get /api/v1/agents","href":"/0.14/api-reference/agents/list-agents"},{"title":"Create an agent","deprecated":null,"version":null,"openapi":"/0.14/openapi.json post /api/v1/agents","href":"/0.14/api-reference/agents/create-an-agent"},{"title":"Search agents","description":null,"deprecated":null,"version":null,"openapi":"/0.14/openapi.json get /api/v1/agents/search","href":"/0.14/api-reference/agents/search-agents"},{"title":"Bulk import agents","deprecated":null,"version":null,"openapi":"/0.14/openapi.json post /api/v1/agents/batch","href":"/0.14/api-reference/agents/bulk-import-agents"},{"title":"Bulk export agents","deprecated":null,"version":null,"openapi":"/0.14/openapi.json get /api/v1/agents/export","href":"/0.14/api-reference/agents/bulk-export-agents"},{"title":"Get an agent","deprecated":null,"version":null,"openapi":"/0.14/openapi.json get /api/v1/agents/{id}","href":"/0.14/api-reference/agents/get-an-agent"},{"title":"Update an agent","deprecated":null,"version":null,"openapi":"/0.14/openapi.json post /api/v1/agents/{id}","href":"/0.14/api-reference/agents/update-an-agent"},{"title":"Archive an agent","deprecated":null,"version":null,"openapi":"/0.14/openapi.json post /api/v1/agents/{id}/archive","href":"/0.14/api-reference/agents/archive-an-agent"},{"title":"Archive idle tasks","deprecated":null,"version":null,"openapi":"/0.14/openapi.json post /api/v1/agents/{id}/archive-tasks","href":"/0.14/api-reference/agents/archive-idle-tasks"},{"title":"List an agent tasks","deprecated":null,"version":null,"openapi":"/0.14/openapi.json get /api/v1/agents/{id}/tasks","href":"/0.14/api-reference/agents/list-an-agent-tasks"},{"title":"Test the connection","deprecated":null,"version":null,"openapi":"/0.14/openapi.json post /api/v1/agents/{id}/test-connection","href":"/0.14/api-reference/agents/test-the-connection"},{"title":"List an agent plugins","deprecated":null,"version":null,"openapi":"/0.14/openapi.json get /api/v1/agents/{id}/plugins","href":"/0.14/api-reference/agents/list-an-agent-plugins"},{"title":"Attach a plugin","deprecated":null,"version":null,"openapi":"/0.14/openapi.json post /api/v1/agents/{id}/plugins","href":"/0.14/api-reference/agents/attach-a-plugin"},{"title":"Detach a plugin","deprecated":null,"version":null,"openapi":"/0.14/openapi.json delete /api/v1/agents/{id}/plugins/{pluginId}","href":"/0.14/api-reference/agents/detach-a-plugin"}]}]},{"group":"CLI","pages":[{"title":"2501 CLI","href":"/0.14/cli/overview"},{"title":"login \u0026 status","href":"/0.14/cli/login-status"},{"title":"resources","href":"/0.14/cli/resources"},{"title":"infra","href":"/0.14/cli/infra"},{"title":"runner","href":"/0.14/cli/runner"},{"title":"chat","href":"/0.14/cli/chat"}]},{"group":"Deploy","pages":[{"title":"Overview","href":"/0.14/deployment/overview"},{"title":"Init Command","href":"/0.14/deployment/init-command"},{"title":"Configuration","href":"/0.14/deployment/configuration"},{"title":"Docker Swarm","href":"/0.14/deployment/docker-swarm"},{"title":"Kubernetes","href":"/0.14/deployment/kubernetes"},{"title":"LLM Providers","href":"/0.14/deployment/llm-providers"},{"title":"Users \u0026 Organizations","href":"/0.14/deployment/users-organizations"},{"title":"Troubleshooting","href":"/0.14/deployment/troubleshooting"},{"title":"Feature Toggles","href":"/0.14/deployment/feature-toggles"}]},{"group":"Configure","pages":[{"group":"Agent Behavior","pages":[{"title":"Specialties","href":"/0.14/configure/specialties"},{"title":"Operational Rules","href":"/0.14/configure/operational-rules"},{"title":"Blacklist","href":"/0.14/configure/blacklist"}]},{"title":"Clusters","href":"/0.14/configure/clusters"},{"title":"Knowledge Base","href":"/0.14/configure/knowledge"},{"title":"Import and Export","href":"/0.14/configure/import-export"},{"group":"Access \u0026 Secrets","pages":[{"title":"Credentials","href":"/0.14/configure/credentials"},{"title":"API Keys","href":"/0.14/configure/api-keys"},{"title":"Plugins","href":"/0.14/configure/plugins"}]},{"group":"Integration","pages":[{"title":"Webhooks","href":"/0.14/configure/webhooks"},{"title":"Configuration as Code","href":"/0.14/configure/configuration-as-code"},{"group":"Resource Reference","pages":[{"title":"Agent","href":"/0.14/configure/resources/agents"},{"title":"Host","href":"/0.14/configure/resources/hosts"},{"title":"Specialty","href":"/0.14/configure/resources/specialties"},{"title":"Operational Rule","href":"/0.14/configure/resources/operational-rules"},{"title":"Credential","href":"/0.14/configure/resources/credentials"},{"title":"Gateway","href":"/0.14/configure/resources/gateways"},{"title":"Blacklist","href":"/0.14/configure/resources/blacklist"}]},{"title":"Network Discovery","href":"/0.14/configure/discovery"}]},{"group":"LLM","pages":[{"title":"Providers","href":"/0.14/configure/providers"},{"title":"Models","href":"/0.14/configure/models"}]},{"title":"Users","href":"/0.14/configure/users"},{"title":"Licensing \u0026 Usage","href":"/0.14/configure/licensing"}]}]},{"tab":"Benchmark","pages":[{"title":"Benchmark","href":"/0.14/benchmark/overview"}]},{"tab":"Guides","pages":[{"title":"Guides","href":"/0.14/configure/prompting"}]}]},{"version":"0.13","pages":[{"title":"0.13","href":"/0.13/api-reference/agents/create-an-agent"}]},{"version":"0.12","pages":[{"title":"0.12","href":"/0.12/api-reference/agents/create-an-agent"}]},{"version":"0.11","pages":[{"title":"0.11","href":"/0.11/getting-started/welcome"}]},{"version":"0.10","pages":[{"title":"0.10","href":"/0.10/getting-started/welcome"}]},{"version":"0.9","pages":[{"title":"0.9","href":"/0.9/getting-started/welcome"}]},{"version":"0.8","pages":[{"title":"0.8","href":"/0.8/getting-started/welcome"}]},{"version":"0.7","pages":[{"title":"0.7","href":"/0.7/getting-started/welcome"}]},{"version":"0.4","pages":[{"title":"0.4","href":"/0.4/command-center"}]},{"version":"0.3.0","pages":[{"title":"0.3.0","href":"/0.3.0/command-center"}]},{"version":"0.2.6","pages":[{"title":"0.2.6","href":"/0.2.6/command-center"}]}]},"title":"Create an agent - 2501.ai","buildId":"dpl_2oYXwqkEXirXBPk8wV1FtM5USFWi","deploymentId":"dpl_2oYXwqkEXirXBPk8wV1FtM5USFWi","dynamics":["c2aa737661","2b790eda92","b0f84f53ff","a9bb46feb3"],"chunks":["OpenApiReferenceProvider-WRhTSUDL.js","utils-ChMov4Kr.js","cloneDeep-izs3Hzxb.js","_Uint8Array-BVIqJ90l.js","isObjectLike-C8vmzPEN.js","isArray-Dcu1dQ5t.js","utils-_REmC2bI.js","toString-BX-iyh8G.js","isSymbol-CSH9U2Gm.js","addUniqueKeysToSchema-Bp6nVRCu.js","snippetPresets-DZadmXoU.js","style-to-object-BY3JEAdk.js","v4-DIgz8zy6.js","ApiExamples-CY2WdoTl.js","isEqual-BfaiBbcl.js","usePlaygroundInputsStore-DwYG-Q4l.js","shallow-BXQIGwv4.js","getApiPlaygroundDisplay-CK5nK5B9.js","CodeSnippet-TH4a2aGW.js","CodeSnippets-DwsQiOFS.js","Page-R3M_BF4L.js","getPastedJson-DD7kUzi_.js","icon-holE3QoJ.js","MethodPill-DUW0T8us.js","DuplicateIcon-CI_p4be-.js","createIcon-BdbRvavb.js","DynamicMarkdown-DN96a4Ur.js","SectionHeading-SCu36A9d.js","axios-vUo_bRtp.js","Markdown-CCeGv-zI.js","clsx-BGBGWFTt.js","lib--scc4DXi.js","lib-B8HbPgcC.js","html-void-elements-mCSPHezU.js","dist-Cv_O2fky.js","katex-YMM-FMeD.js","marked.esm-CZWythHk.js","AssistantPageLink-2C5OB2eV.js"]}